Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		makeself
#Epoch:		0
Version:	2.1.5
Release:	1
License:	GNU/GPLv2
URL:		http://megastep.org/makeself/
Group:		Development/Tools	
Summary:	shell script to generate self-extractable archives
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

# Sources:
Source0:	%{name}-%{version}.run

# Patches:

# Requires:

# BuildRequires:

%description
makeself.sh is a small shell script that generates a self-extractable tar.gz archive from a directory. The resulting file appears as a shell script (many of those have a .run suffix), and can be launched as is. The archive will then uncompress itself to a temporary directory and an optional arbitrary command will be executed (for example an installation script). This is pretty similar to archives generated with WinZip Self-Extractor in the Windows world. Makeself archives also include checksums for integrity self-validation (CRC and/or MD5 checksums). 

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
chmod a+x %{SOURCE0}

cp %{SOURCE0} %{_builddir}
pushd %{_builddir}
./makeself-%{version}.run
popd

%build


%install
rm -Rf $RPM_BUILD_ROOT
pushd %{_builddir}/makeself-%{version}

	mkdir -p %{buildroot}%{_bindir}
	cp makeself*.sh %{buildroot}%{_bindir}/	
	ln -sf %{_bindir}/makeself.sh %{buildroot}%{_bindir}/makeself 
popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/makeself-header.sh
%{_bindir}/makeself.sh
%{_bindir}/makeself

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.5.run-1
- initial CCux package release
